/*
    Copyright 2011, Strategic Gains, Inc.

	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at

		http://www.apache.org/licenses/LICENSE-2.0

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/
package com.strategicgains.restexpress;

/**
 * Some helpful constants for possible values of the {format} specifier in routes.
 * 
 * @author toddf
 * @since Jan 19, 2011
 */
public abstract class Format
{
	// PRIMARY FORMATS

	public static final String HTML = "html";
	public static final String JAVASCRIPT = "js";
	public static final String JSON = "json";
	public static final String TXT = "txt";
	public static final String XML = "xml";


	// ALTERNATIVE/SPECIALIZED FORMATS

	public static final String WRAPPED_JSON = "wjson";
	public static final String WRAPPED_XML = "wxml";

	private Format()
	{
		// prevents instantiation.
	}
}
